Qt 5.7 | Qt 3D | C++ Classes | QTexture2DArray

Qt 5.7.1 Reference Documentation

# QTexture2DArray Class

(Qt3DRender::QTexture2DArray)

A QAbstractTexture with a Target2DArray target format. More...

Header: | #include <QTexture2DArray>
qmake: | QT += 3drender
Since: | Qt 5.5
Inherits: | QAbstractTexture

- List of all members, including inherited members

## Public Functions

| QTexture2DArray(Qt3DCore::QNode *parent = nullptr)

- 20 public functions inherited from Qt3DRender::QAbstractTexture
- 6 public functions inherited from Qt3DCore::QNode

### Additional Inherited Members

- 14 properties inherited from Qt3DRender::QAbstractTexture
- 2 properties inherited from Qt3DCore::QNode
- 11 public slots inherited from Qt3DRender::QAbstractTexture
- 2 public slots inherited from Qt3DCore::QNode
- 12 signals inherited from Qt3DRender::QAbstractTexture
- 3 signals inherited from Qt3DCore::QNode
- 1 protected function inherited from Qt3DRender::QAbstractTexture
- 2 protected functions inherited from Qt3DCore::QNode

## Detailed Description

A QAbstractTexture with a Target2DArray target format.

## Member Function Documentation

### QTexture2DArray::QTexture2DArray(Qt3DCore::QNode *parent = nullptr)

Default constructs an instance of QTexture2DArray.